#ifndef LEVELOBJECT_H_
#define LEVELOBJECT_H_

#include "Vertex.h"
#include <cstring>


class LevelObject {
  public:
    virtual ~LevelObject() {}
    
    virtual const char* getType() const = 0;
    virtual bool hit(const Vertex &v) const = 0;
    
    bool isOfType(const char *type) const {
      return (std::strcmp(getType(), type) == 0);
    }
};

#endif /*LEVELOBJECT_H_*/
